Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.handler
Class AbstractSOAPHandler

    java.lang.Object
      be.ehealth.technicalconnector.handler.AbstractSOAPHandler

All Implemented Interfaces:
  Handler<SOAPMessageContext>, SOAPHandler<SOAPMessageContext>

Direct Known Subclasses:
  AbstractMimeHeaderManipulator, AbstractWsSecurityHandler, CacheFeederHandler, ConnectionTimeOutHandler, HarFileHandler, LoggingHandler, MessageLevelRetryHandler, RequestContextHandler, SchemaValidatorHandler, SoapActionHandler, SOAPHeaderLoggerHandler, WsAddressingHandlerV200508

    public abstract class AbstractSOAPHandler

extends Object
implements SOAPHandler<SOAPMessageContext>

Abstract that hides the complexity from a `SOAPHandler`

Constructor Summary
`AbstractSOAPHandler()`

Method Summary
`void` | `close(MessageContext context)`
`static void` | `dumpMessage(SOAPMessage msg, String mode, org.slf4j.Logger log)`
`Set<QName>` | `getHeaders()`
`boolean` | `handleFault(SOAPMessageContext context)`
`boolean` | `handleInbound(SOAPMessageContext context)` Method that is called in the inbound flow.
`boolean` | `handleMessage(SOAPMessageContext context)`
`boolean` | `handleOutbound(SOAPMessageContext context)` Method that is called in the outbound flow.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractSOAPHandler

    public AbstractSOAPHandler()

Method Detail

### handleMessage

    public boolean handleMessage(SOAPMessageContext context)

  Specified by:
    `handleMessage` in interface `Handler<SOAPMessageContext>`

### handleOutbound

    public boolean handleOutbound(SOAPMessageContext context)

  Method that is called in the outbound flow.

### handleInbound

    public boolean handleInbound(SOAPMessageContext context)

  Method that is called in the inbound flow.

### handleFault

    public boolean handleFault(SOAPMessageContext context)

  Specified by:
    `handleFault` in interface `Handler<SOAPMessageContext>`

### close

    public void close(MessageContext context)

  Specified by:
    `close` in interface `Handler<SOAPMessageContext>`

### getHeaders

    public Set<QName> getHeaders()

  Specified by:
    `getHeaders` in interface `SOAPHandler<SOAPMessageContext>`

### dumpMessage

    public static void dumpMessage(SOAPMessage msg,
                                   String mode,
                                   org.slf4j.Logger log)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TECHNICAL 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.